Name:		libdbusmenu
Version:	0.6.2 
Release:	1%{?dist}
Summary:	A little library for libindicator
 
# All files installed in final rpms use C sources with dual licensing headers.
# Tests compiled in the build process are licensed GPLv3 but are
# not distribution in the binary rpms.

License:	LGPLv3 or LGPLv2
URL:		https://launchpad.net/dbusmenu
Source0:	https://launchpad.net/dbusmenu/0.6/0.6.2/+download/libdbusmenu-0.6.2.tar.gz

BuildRequires:	gtk3-devel 
BuildRequires:	vala-tools vala-devel 
BuildRequires:	chrpath
BuildRequires:	intltool
BuildRequires:  gnome-doc-utils	
BuildRequires:	gobject-introspection-devel

%description
A small little library created by pulling out some common code out
of indicator-applet. It passes a menu structure across DBus so that 
a program can create a menu simply without worrying about how it is 
displayed on the other side of the bus.

%package        devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	gtk3-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        docs
Summary:	Document files for %{name}

%description    docs 
The %{name}-docs package contains documents for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-rpath --disable-dumper --disable-tests --disable-static
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_datadir}/doc/libdbusmenu/README.dbusmenu-bench
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libdbusmenu-gtk3.so.4.0.13
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README COPYING COPYING.2.1 AUTHORS tools/README.dbusmenu-bench
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0/
%{_libdir}/girepository-1.0/*
%{_libexecdir}/*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%dir %{_datadir}/gir-1.0/
%{_datadir}/gir-1.0/*
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/*.vapi

%files docs 
%doc
%dir %{_datadir}/gtk-doc/
%{_datadir}/gtk-doc/*

%changelog
* Wed Jul 25 2012 Jef Spaleta <jspaleta@fedoraproject.org> - 0.6.2-1
- First package for Fedora submission

